Bug 1268680 - [rhel-7.2] update doc: Managing storage on RHEL and RHEL Atomic
[rhel-7.2] update doc: Managing storage on RHEL and RHEL Atomic
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-RHEL-Atomic (Show other bugs)
7.2
Unspecified Unspecified
high Severity medium
: rc
: ---
Assigned To: Yoana Ruseva
ecs-bugs
Yoana Ruseva
: Documentation, Extras
Depends On: 1267555
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-04 12:18 EDT by Yoana Ruseva
Modified: 2015-11-19 10:33 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-19 10:33:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yoana Ruseva 2015-10-04 12:18:54 EDT
The following article needs to be updated for the 7.2 release:

https://access.redhat.com/documentation/en/red-hat-enterprise-linux-atomic-host/version-7/getting-started-with-containers/#managing_storage_with_docker_formatted_containers

Work on the document can be split into three parts,

1) fixes according to peer review 
(feedback here:http://etherpad.corp.redhat.com/storage-doc-feedback)
2) improve clarity overall, for example rewrite the introduction
3) document any changes in docker-storage-setup
Comment 3 Yoana Ruseva 2015-11-16 17:14:54 EST
Hi, the latest version, including OverlayFS support is available here:

https://access.qa.redhat.com/documentation/en/red-hat-enterprise-linux-atomic-host/version-7/getting-started-with-containers/#managing_storage_with_docker_formatted_containers

Also, rewrote the introduction, updated for latest changes in docker-storage-setup and other smaller fixes.
Comment 4 Vivek Goyal 2015-11-17 08:14:15 EST
Yoana Ruseva,

I have read through the overlay section. But how do I review the other changes you have done to the document. I have no idea what has been changed. And reading through the whole document just to figure out what has been changed is not practical.

We really need to have a mechanism where reviewer knows what has changed so that only changed can be reviewed.
Comment 5 Vikram Goyal 2015-11-17 08:16:47 EST
(In reply to Vivek Goyal from comment #4)
> Yoana Ruseva,
> 
> I have read through the overlay section. But how do I review the other
> changes you have done to the document. I have no idea what has been changed.
> And reading through the whole document just to figure out what has been
> changed is not practical.
> 
> We really need to have a mechanism where reviewer knows what has changed so
> that only changed can be reviewed.

Hey Vivek,

That is a good point. I will try and get that incorporated in our tooling system. In the meantime, Yoana will reply and let you know what has changed.
Comment 6 Yoana Ruseva 2015-11-17 08:33:47 EST
Hi, I think gitlab can be useful in this case. You need your kerberos credentials to log in. You can look at the diffs or at the rendered document, which makes it good enough for intermediate staging (I think).

Vivek, the changes are:

1) language improvements through the whole document:

https://gitlab.cee.redhat.com/rhel-atomic-host-documentation/atomic-host-content/commit/d42bb8ab9f4c95cc5b1f898c4464b926d60cd132

2) rewrote the introduction

https://gitlab.cee.redhat.com/rhel-atomic-host-documentation/atomic-host-content/commit/7bc35ee265bd5d08ca0d617c052eeb9837dfe5ed

3) and changed "60% reserved space" by docker-storage-setup to 40%

(BTW the "wrap text" check box makes it readable)

and the text as it is now, rendered:

https://gitlab.cee.redhat.com/rhel-atomic-host-documentation/atomic-host-content/blob/master/getting_started_with_containers/content/managing_storage_docker_formatted_containers.adoc

Note You need to log in before you can comment on or make changes to this bug.